<% if classworks.present? %>
  <% classworks.each do |classwork| %>
    <tr>
      <td><label class="ui <%= object_status_class(classwork) %> horizontal label"><%= object_status_name(classwork) %></label></td>
      <td>
        <h5 class="ui image header">
          <div class="content">
            <%= classwork.period.name %>
            <div class="sub header">
              <strong>Cargado por: </strong> <%= classwork.created_by.full_name.titleize %><br>
              <%= link_to 'Descargar', rails_blob_path(classwork.file, disposition: 'attachment'), download: '' %>
            </div>
          </div>
        </h5>
      </td>
      <td>
        <%= render partial: 'admin/academic/subject/classworks/partials/table_actions', locals: { classwork: classwork }%>
      </td>
    </tr>
  <% end %>
<% else %>
  <tr>
    <td><h3>No hay registros</h3></td>
  </tr>
<% end %>
